﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx.Helpers;
using Styx;
using System.IO;

namespace WatchTheChat
{
	class WatchTheChatSettings : Settings
	{
		public static readonly WatchTheChatSettings Instance = new WatchTheChatSettings();

		public WatchTheChatSettings()
            : base(Path.Combine(Settings.SettingsDirectory, string.Format(@"\WatchTheChat\Settings-{0}.xml", StyxWoW.Me.Name))) // Plugins/LogMeOut/Config/LogMeOut-Settings-{0}.xml
        {
        }

		[Setting, DefaultValue(false)]
		public bool OnTop { get; set; }

		[Setting, DefaultValue(true)]
		public bool BG { get; set; }

		[Setting, DefaultValue(true)]
		public bool Whisper { get; set; }

		[Setting, DefaultValue(true)]
		public bool Say { get; set; }

		[Setting, DefaultValue(false)]
		public bool AlertOnlyIfContains { get; set; }

		[Setting, DefaultValue(true)]
		public bool Guild { get; set; }

		[Setting, DefaultValue("")]
		public string Aliases { get; set; }

		[Setting, DefaultValue(true)]
		public bool RunInBackground { get; set; }

		[Setting, DefaultValue("beep")]
		public string AlertSound { get; set; }

		[Setting, DefaultValue("siren")]
		public string SirenSound { get; set; }
	}
}
